ctsdag {bnlearn} | R Documentation

## Equivalence classes in the presence of interventions

### Description

Generate the partially directed acyclic graph representing the equivalence class of a Bayesian network learned using interventions.

### Usage

      ctsdag(x, exp, learning = FALSE, debug = FALSE)

### Arguments

`x` | an object of class `bn`, the network from which to compute the PDAG.
`exp` | a vector of character strings, the labels of the node that are the targets of the interventions. If no targets are provided, `ctsdag()` just reverts to `cpdag()`.
`learning` | a boolean value. If `TRUE`, interventions, whitelists and blacklists used in learning the structure of `x` will be taken into account in contructing the PDAG. These interventions will be applied in addition to those provided via the `exp` argument.
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent.

### Details

`ctsdag()` extends `cpdag()` by incorporating interventions in constructing the partially directed acyclic graph that represents the equivalence class of `x`; it preserves the directions of arcs that are compelled because they are incident on the target nodes specified by the `exp` argument. This assumes do-calculus model of targeted interventions with no unknown side-effects.

It also takes into account prior arc probabilities used in structure learning, ensuring that DAGs are equivalent in posterior probability only if they are equivalent in prior probability. This is not the case for graph priors other than the uniform (`uniform`) and marginal uniform priors (`marginal`, see `bn-class` for details).

### Value

`ctsdag` returns an object of class `bn`, representing the equivalence class. See `bn-class` for details.

### Author(s)

Robert Osazuwa Ness

### References

Castelo R, Siebes A (2000). "Priors on Network Structures. Biasing the Search for Bayesian Networks". International Journal of Approximate Reasoning, 24(1):39–57.

Chickering DM (1995). "A Transformational Characterization of Equivalent Bayesian Network Structures". Proceedings of the Eleventh Annual Conference on Uncertainty in Artificial Intelligence, 87–98.

Ness RO, Sachs K, Mallick P, Vitek O (2017). "A Bayesian Active Learning Experimental Design for Inferring Signaling Networks". International Conference on Research in Computational Molecular Biology, 134–156.

Tian J, Pearl J (2001). "Causal Discovery from Changes". Proceedings of the Seventeenth Conference on Uncertainty in Artificial Intelligence, 512–521.

### See Also

cpdag, score.

[Package bnlearn version 4.5 Index]